aboutsummaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
Diffstat (limited to 'debian')
-rw-r--r--debian/install2
-rwxr-xr-xdebian/install-short_url-for-hex-zero.sh8
-rw-r--r--debian/postinst7
3 files changed, 12 insertions, 5 deletions
diff --git a/debian/install b/debian/install
index 4a97dfa..8bd6e93 100644
--- a/debian/install
+++ b/debian/install
@@ -1 +1 @@
-# You must remove unused comment lines for the released package.
+debian/install-short_url-for-hex-zero.sh /usr/libexec/hex-zero
diff --git a/debian/install-short_url-for-hex-zero.sh b/debian/install-short_url-for-hex-zero.sh
new file mode 100755
index 0000000..780324b
--- /dev/null
+++ b/debian/install-short_url-for-hex-zero.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Must be run as root.
+USERNAME=hex-zero
+# install short_url for the user only
+if ! /var/www/hex-zero/check-for-short_url.sh 1>/dev/null 2>&1 ;
+then
+ su ${USERNAME} -s /bin/sh -c 'pip3 install --user short_url'
+fi
diff --git a/debian/postinst b/debian/postinst
index 0e4f748..a1e461a 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -17,7 +17,7 @@ case "$1" in
adduser --quiet --system --home $HOME \
--disabled-password --group \
--gecos "0x0 system user" \
- ${USERNAME} > ${OUT}
+ ${USERNAME} > ${OUT} 2>&1
fi
chown ${USERNAME}:${USERNAME} \
${HOME} ${HOME}/* \
@@ -25,11 +25,10 @@ case "$1" in
if ! test -r /var/www/hex-zero/db.sqlite || test $( stat -c "%s" /var/www/hex-zero/db.sqlite 2>/dev/null ) -lt 50 ;
then
# detect if short_url exists for the user
- result="$( su ${USERNAME} -c 'echo "import short_url" | python3 1>/dev/null 2>&1 && echo good || echo bad' )"
+ result="$( sh /var/www/hex-zero/check-for-short_url.sh 1>/dev/null 2>&1 && echo good || echo bad )"
if test "${result}" = "bad" ;
then
- echo "Please install python3 module short_url for user ${USERNAME}, and re-run \`sudo dpkg-reconfigure hex-zero\` Using the following command would work."
- echo " sudo su ${USERNAME} -c 'pip3 install --user short_url'"
+ echo "Please install python3 module short_url with \`/usr/libexec/hex-zero/install-short_url-for-hex-zero.sh\` and then dpkg-reconfigure hex-zero."
else
echo "Initializing sqlite database for hex-zero"
su ${USERNAME} -c 'cd /var/www/hex-zero ; /var/www/hex-zero/hex_zero.py db init' 2>/dev/null || :
bgstack15